import { isNil as d, isString as c } from "lodash-unified";
function n(e) {
  return d(e.checked) ? e.emptyText || "--" : e.checked === e.checkedValue ? c(e.checkedChildren) ? e.checkedChildren : String(e.checkedValue) : c(e.unCheckedChildren) ? e.unCheckedChildren : e.unCheckedValue;
}
export {
  n as switchRenderer
};
